Bidouiller les dependances des tweak

Discussion dans 'Customisation' démarrée par Anonymonk, 31 Mars 2017.

  1. Anonymonk

    Anonymonk VIP
    VIP

    Messages :
    121
    "J'aime" reçus :
    37
    OS:
    Other
    iPhone:
    iPhone 6 S Plus
    iPad:
    iPad Air 2
    bonjour,
    je suis tomber sur un petit fichier magique en reglant un probleme avec cydia, ca ma permit de regler un autre probleme ^^
    le fichier en question se trouve la /var/lib/dpkg/status .
    il permet de supprimer des dependances de x ou y tweak, changer les numero de version... et surement dautre truc utiles

    alors pourquoi faire??

    bin par exemple, pour regler les probleme avec uasharedtools.. qui est utiliser par plusieur tweak, appadmin, facebook ++, youtube ++....
    il y a quelques temps je voulais installer youtube++ de hackyouriphone, il install donc une version cracker de uasharedtools... dommage la version cracker cherche a s'installer sur la version deja presente qui me servait pour appadmin... et appadmin n'etait pas dispo sur hackyouriphone repo... bref des truc comme ca

    la solution pour ca consiste ou ouvrir le fichier "status" avec un editeur txt (faite une sauvegarde biensur avant...)
    rechercher le nom du package, appadmin se nomme com.unlimapps.uaupdatetools....
    on tombe sur ca

    Package: com.unlimapps.uaupdatetools
    Status: install ok installed
    Priority: optional
    Section: System
    Architecture: iphoneos-arm
    Version: 1.0r-68
    Depends: firmware (>= 7.0), mobilesubstrate, com.unlimapps.uasharedtools (>= 2.1r-44)
    Conflicts: it.marcocristalli.asupdatehider
    Description: Downgrade iOS apps to any previous version! No AppSync needed!!!
    Name: App Admin

    il suffit donc simplement de supprimer ", com.unlimapps.uasharedtools (>= 2.1r-44)" sans oublier la virgule, et voila on peut desinstaller uasharedtools original et installer la version cracker

    bon moi jutilise une souris avec mon ipad et btc-mouse & trackpad depend de bluetooth companion (bigboss) malheuresement la version 1.9.3 bug dans certain cas et fait tourner le cpu a fond... la 1.9.21 pareil.. seul la 1.9.0 fonctionne au poil parcontre evidement la version 1.9.3 cracker de biteyourapple exige la version 1.9.3 de bluetooth companion.
    alors ya toujours moyen dinstaller la version 1.9.3 des deux et ensuite lancer le fichier deb de bluetooth companion 1.9.0, mais cydia va a chaque installation ou desinstallation dun tweak, vouloir mettre a jour btc.. ca veut donc dire refaire la meme manip a chaque fois... relou..

    la, on peut faire comme avec uasharedtools, chercher le package "btc-mouse & trackpad", et supprimer la dependance bluetooth companion, on peut aussi descendre le numero de version, oubien la faire a l'envers, chercher le package de bluetooth companion et le passer en 1.9.3, ce qui evite que cydia propose une update

    sinon, changer la version dun tweak sert principalemet a cacher les update.. completement..
    par exemple jutilise molar1.4 compatible avec ios8.. bin ils ont sortie la version 1.5 compatible seulement avec ios 9+... .. relou de l'avoir en haut de longlet "change" de cydia ( si on choisie l'option cacher les futur update)
    je l'ai donc passer en version 99.99.. histoire detre tranquille

    voila, a utiliser a vos risque et perils ^^
    enjoy
     
    #1 Anonymonk, 31 Mars 2017
    Dernière édition: 31 Mars 2017
    lilou2 aime votre message.

Partager cette page